package com.iamberry.wechat.service.mapper;

import java.util.List;

import com.iamberry.wechat.core.entity.member.CashLog;

/**
 * 用户现金记录 mapper
 * 2016年5月3日
 * @author 穆再兴
 *
 */
public interface CashLogMapper {
	
	/**
	 * 查出符合条件的所有现金记录
	 * 2016年5月3日
	 * @author 穆再兴
	 * @param cashLog
	 * @return
	 */
	public List<CashLog> getAllCashLog(CashLog cashLog); 
	
	/**
	 * 添加一条现金记录
	 * @param cashLog
	 * @return
	 */
	public Integer addCashLog(CashLog cashLog);
	
	/**
	 * 根据openid和orderId查询信息
	 * @param cashLog
	 * @return
	 */
	public CashLog selectCashLogsInfo(CashLog cashLog);
	
	/**
	 * 修改会员返利日志表
	 * @param cashLog
	 * @return
	 */
	public Integer updateCashLogs(CashLog cashLog);
	
	/**
	 * 根据 cashLogsOrderid 删除类型是提现的 现金记录
	 * create date 2016年5月14日
	 * @author mzx
	 * @param cashLogsId
	 * @return
	 */
	public Integer deleteCashLogs(Integer cashLogsOrderid);
}
